Bug 741128 - calling Notify.Notification.add_action via introspection aborts Python
Summary: calling Notify.Notification.add_action via introspection aborts Python
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libnotify
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 19:14 UTC by Ben Liblit
Modified: 2013-03-06 04:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:06:53 UTC


Attachments (Terms of Use)
small test script demonstrating the problem (220 bytes, text/x-python)
2011-09-25 19:14 UTC, Ben Liblit
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 658288 None None None Never

Description Ben Liblit 2011-09-25 19:14:10 UTC
Created attachment 524798 [details]
small test script demonstrating the problem

Description of problem:

The Notify.Notification.add_action function cannot be used to add actions to notifications in Python code.  The following fragment of Python code attempts to add a notification action, but aborts the Python engine with an assertion failure in the Notify.Notification.add_action call:

    from gi.repository import Notify

    Notify.init('Bug Demonstration')

    def callback(*args):
        pass

    note = Notify.Notification()
    note.add_action('action', 'Label', callback, None, None)    # abort here


Version-Release number of selected component (if applicable):

gobject-introspection-0.10.8-1.fc15.i686
libffi-3.0.9-2.fc15.i686
libnotify-0.7.3-1.fc15.i686
pygobject2-2.28.6-1.fc15.i686


How reproducible:

100% reproducible.


Steps to Reproduce:
1. Save the above-suggested code as a Python script.
2. Run this script.

  
Actual results:

An assertion failure prints the following diagnostic output:

    **
    ERROR:pygi-argument.c:1021:_pygi_argument_from_object: code should not be
    reached


Expected results:

An action called "Label" should have been added to the notification.


Additional info:

<https://bugzilla.gnome.org/show_bug.cgi?id=635169#c1> briefly mentions this same problem.   Although that bug was eventually mark resolved/fixed, it seems that this particular problem has still not been addressed.

Comment 1 Fedora End Of Life 2012-08-06 20:06:53 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2012-08-06 20:06:53 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.